/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

:root {
	interpolate-size: allow-keywords;
	
	--fs-color-success-darker: color-mix(in srgb, var(--fs-color-success) 50%, #000000);
	--fs-color-success-lighter: color-mix(in srgb, var(--fs-color-success) 50%, #ffffff);
	--fs-100: clamp(0.8rem, 0.165vw + 0.759rem, 0.891rem);
	--fs-200: clamp(1rem, 0.341vw + 0.915rem, 1.188rem);
	--fs-300: clamp(1.25rem, 0.605vw + 1.099rem, 1.583rem);
	--fs-400: clamp(1.563rem, 0.996vw + 1.314rem, 2.11rem);
	--fs-500: clamp(1.953rem, 1.563vw + 1.562rem, 2.813rem);
	--fs-600: clamp(2.441rem, 2.378vw + 1.847rem, 3.749rem);
	--fs-700: clamp(3.052rem, 3.538vw + 2.167rem, 4.998rem);
}

body {
	
	#main, footer, .mfp-content, .custom-page-title {
		font: normal normal normal var(--fs-200)/1.5 inherit, sans-serif, system-ui;
		
		:is(h1, h2, h3, h4, h5, h6, p, ul, ol, li, form, select, label, legend, button:not(.toggle), .button:not(.icon)) {margin-block: 0; margin-inline: 0;}
		:is(p, ul, ol, button:not(.toggle), .button:not(.icon)):has(+ :is(h1, h2, h3, h4, h5, h6)) {margin-block-end: 2em;}
		:is(h1, h2, h3, h4, h5, h6, p, ul, ol, blockquote, form, label, legend, button:not(.toggle), .button:not(.icon)):has(+ :is(p, ul, ol, blockquote, button, form, div, .button)) {margin-block-end: 0.75em;}
		
		ul:not([class]) {padding-inline-start: 1.25em;}
		ol:not([class]) {padding-inline-start: 1.75em;}
		
		:is(ul, ol):not([class]) {
			margin: 0;
			
			li, .col-inner & li {
				margin: 0;
			}
			
		}
		
		ul:has(.recent-blog-posts-li) {
			padding: 0;
		}

		h1 {font-size: var(--fs-500);}
		h2 {font-size: var(--fs-400);}
		h3 {font-size: var(--fs-300);}
		h4 {font-size: var(--fs-200);}
		h5 {font-size: var(--fs-200);}
		h6 {font-size: var(--fs-100);}
		blockquote, .product-short-description {font-size: var(--fs-100);}

		.fs-100 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-100);}
		.fs-200 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-200);}
		.fs-300 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-300);}
		.fs-400 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-400);}
		.fs-500 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-500);}
		.fs-600 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-600);}
		.fs-700 :is(h1, h2, h3, h4, h5, h6, p, ul, ol) {font-size: var(--fs-700);}
		
		iframe, svg {
			display: block;
		}
		
		.balance {
			text-wrap: balance;
		}
		
		.alt-font {
			font-family: "Lovely Script";
		}

		h1, h2, h3, h4, h5, h6, .heading-font, .off-canvas-center .nav-sidebar.nav-vertical > li > a {
			font-family: "Platinum";
		}
		
	}
	
}

.mfp-wrap {
	
	.lightbox-content {
		overflow: clip;
		border-radius: 30px;
	}
	
}

.flickity-page-dots {
	display: flex;
	justify-content: center;
	gap: 0.75em;
}

.height-fix .flickity-viewport {
	min-height: 475px !important;
	
	.flickity-slider > .row {
		height: 100%;
		padding-block-start: 5px;
		
		& > .col > .col-inner {
			height: 100%;
			display: flex;
			flex-flow: column;
			
			& > .grow {
				flex-grow: 1;
				padding: unset !important;
			}
			
		}
		
	}
	
}
/*footer icon color*/
.social-icons .button.icon:not(.is-outline){
    color: #AE905B !important;
}

/*hide blogs*/
.blog-wrapper.blog-archive.page-wrapper.tooltipstered{
	display:none;
}

/*footer links*/
footer a,
footer p,
footer span,
footer div {
    color: #ffffff !important;
}

/*logo padding*/
.header-logo {
    padding-left: 10px !important;
}

/*header button*/
a.button.primary.box-shadow-1.box-shadow-2-hover.lowercase {
  background-color: #ae905b !important;
  color: #ffffff !important;
  transition: background-color 0.3s ease, color 0.3s ease;
}

a.button.primary.box-shadow-1.box-shadow-2-hover.lowercase:hover {
  background-color: #919682 !important;
  color: #ffffff !important;
}

.tabbed-content {
	ul {
		gap: 5em;
	}
}


@media only screen and (max-width: 48em) {
/*************** ADD MOBILE ONLY CSS HERE  ***************/


}